classification
Title: Make sure there are exec_module tests for _LoaderBasics subclasses
Type: Stage: needs patch
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, brett.cannon, eric.snow, ncoghlan, python-dev
Priority: normal Keywords:

Created on 2013-11-22 16:48 by brett.cannon, last changed 2013-12-06 19:25 by brett.cannon. This issue is now closed.

Messages (4)
msg204754 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-29 21:17
New changeset dad74ff75a6b by Brett Cannon in branch 'default':
Issue #19712: Port test.test_importlib.import_ tests to use PEP 451
http://hg.python.org/cpython/rev/dad74ff75a6b
msg205386 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-12-06 17:07
New changeset 543c76769c14 by Brett Cannon in branch 'default':
Issue #19712: Update test.test_importlib.import_ to test/use PEP 451
http://hg.python.org/cpython/rev/543c76769c14
msg205387 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-12-06 17:08
test.test_importlib.source is the last thing to update for PEP 451 for this bug.
msg205395 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-12-06 19:25
New changeset 07ef52e751f3 by Brett Cannon in branch 'default':
Issue #19712: Update test.test_importlib.source for PEP 451
http://hg.python.org/cpython/rev/07ef52e751f3
History
Date User Action Args
2013-12-06 19:25:22brett.cannonsetstatus: open -> closed
resolution: fixed
2013-12-06 19:25:10python-devsetmessages: + msg205395
2013-12-06 17:08:51brett.cannonsetmessages: + msg205387
2013-12-06 17:07:33python-devsetmessages: + msg205386
2013-11-29 21:17:13python-devsetnosy: + python-dev
messages: + msg204754
2013-11-23 19:53:50Arfreversetnosy: + Arfrever
2013-11-22 16:48:31brett.cannonlinkissue18864 dependencies
2013-11-22 16:48:18brett.cannoncreate